### Method

# GUsb Device get_device_protocol

since: 0.2.4

#### Declaration

    guint8
    g_usb_device_get_device_protocol (
      GUsbDevice* self
    )

#### Description

Gets the device protocol qualified by the class and subclass numbers. See `g_usb_device_get_device_class()` and g_usb_device_get_device_subclass().

Available since: 0.2.4

#### Return value

Type: `guint8`

A device protocol number.